Arch Partie de bâtiment

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch BuildingPart and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Page précédente: Arch Floor.svg Planchers
Page suivante: Bâtiment Arch Building.svg Arrow-right.svg

Arch BuildingPart.svg Arch BuildingPart

Menu location
Arch → BuildingPart
Workbenches
Atelier Architecture
Default shortcut
None
Introduced in version
0.18
See also
Bâtiment, Site


Description

BuildingPart remplace les anciens Planchers et Bâtiment par une version plus performante qui peut être utilisée non seulement pour créer un étage/un niveau/des niveaux mais également pour toutes sortes de situations dans lesquelles différents objets Arch/BIM doivent être groupés. Ce groupe pourra être traité comme un seul objet ou répliqué.

Utilisation

  1. En option, vous pouvez également sélectionner un ou plusieurs objets à inclure dans votre nouvelle pièce de construction.
  2. Appuyez sur le bouton Arch BuildingPart.svg Arch BuildingPart.

Options

  • Après avoir créé un BuildingPart, vous pouvez ajouter d'autres objets à celui-ci en les faisant glisser dans la vue en arborescence ou en utilisant l'outil Arch Add.svg Arch Add.
  • Vous pouvez supprimer des objets d'une BuildingPart en les faisant glisser dans l'arborescence ou en utilisant l'outil Arch Remove.svg Arch Remove.
  • En double-cliquant sur l'objet BuildingPart dans la vue arborescente, le Working Plane sera défini sur son emplacement et le BuildingPart deviendra actif, ce qui signifie que de nouveaux objets lui seront automatiquement ajoutés. Double-cliquez à nouveau sur le BuildingPart pour le désactiver et ramener le plan de travail à sa position précédente.
  • The BuildingPart can display a mark in the 3D view with a label and level indication.
  • Lorsqu'un élément BuildingPart est déplacé / pivoté, tous ses enfants qui ne possèdent pas de propriété DATAMove With Host ou qui l'ont activé sont déplacés / pivotés ensemble.
  • Les pièces de construction peuvent être Draft Cloned.
  • Les pièces de construction peuvent prendre n’importe quel type d’IFC. Leur propriété IFC Role détermine son utilisation. Si vous la définissez sur Building Storey, il se comportera comme un niveau. Si vous la définissez sur Building, il se comporte comme un bâtiment et si vous la définissez sur Element Assembly, il se comporte comme un assemblage. Son icône changera pour refléter ce paramètre mais à part cela, cela n’a aucun autre impact dans FreeCAD. Toutefois, le fait d'être exporté vers IFC sous un type ou un autre peut avoir un impact sur d'autres applications BIM.

Propriétés

Data

  • DATAHeight: La hauteur de cet objet et de ses objets enfants. Les objets enfants pourraient être par exemple des murs. La hauteur de chaque mur doit être définie sur 0 (zéro), de sorte que la propriété hauteur (height) de BuildingPart se propage aux objets qu'elle contient.
  • DATALevelOffset: niveau du point (0,0,0) de ce niveau.
  • DATAArea: la surface de plancher calculée de cet étage.
  • DATAIfcRole: rôle de cet objet.
  • DATADescription: description facultative pour ce composant.
  • DATATag: une balise facultative pour ce composant.
  • DATAIfcAttributes: propriétés et attributs IFC personnalisés.

View

  • VIEWLineWidth: la largeur de trait de cet objet.
  • VIEWOverrideUnit: une unité facultative pour exprimer les niveaux.
  • VIEWDisplayOffset: une transformation à appliquer au repère de niveau.
  • VIEWShowLevel: Si la valeur est true, affiche le niveau.
  • VIEWShowUnit: Si la valeur est true, affiche l'unité sur la balise de niveau.
  • VIEWSetWorkingPlane: Si la valeur est true, le plan de travail, lorsqu'il est activé, s'adaptera automatiquement à cette partie (Building Part).
  • VIEWOriginOffset: Si la valeur est true, le décalage d'affichage affectera également la marque d'origine.
  • VIEWShowLabel: Si la valeur est true, le libellé de l'objet est activé lorsqu'il est activé.
  • VIEWFontName: police à utiliser pour les textes.
  • VIEWFontSize: La taille de la police des textes.
  • VIEWRestoreView: Si défini, la vue stockée dans cet objet sera restaurée par un double-clic.
  • VIEWDiffuseColor: les couleurs de visage individuelles.

introduced in version 0.19

  • VIEWChildrenOverride: Si cette option est définie, les paramètres ci-dessous affecteront les enfants de cette partie du bâtiment.
  • VIEWChildrenLineWidth: La largeur de ligne à appliquer aux enfants de cette partie du bâtiment.
  • VIEWChildrenLineColor: La couleur de trait à appliquer aux enfants de cette partie du bâtiment.
  • VIEWChildrenShapeColor: La couleur de la forme à appliquer aux enfants de cette partie du bâtiment.
  • VIEWChildrenTransparency: La transparence à appliquer aux enfants de cette partie du bâtiment.

Script

Voir aussi: Arch API et FreeCAD Scripts de Base.

L'outil BuildingPart peut être utilisé à l'intérieur d'une macro, et à partir de la console Python en utilisant la fonction suivante :

BuildingPart = makeBuildingPart(objectslist=None)
  • Crée un objet BuildingPart à partir de objectslist qui est une liste d'objets.

Exemple :

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

BuildingPart = Arch.makeBuildingPart([Wall1, Wall2])

Floor = Arch.makeFloor([BuildingPart])
Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Arch Floor.svg Planchers
Page suivante: Bâtiment Arch Building.svg Arrow-right.svg